%define __distdep %(rpm -qf /etc/redhat-release | %{__sed} 's/-[^-]*$//' | %{_bindir}/head -1)
%define __distpkg %(echo %{__distdep} | %{__sed} 's/-[^-]*$//')
%define __distvers %(echo %{__distdep} | %{__sed} 's/.*-//' | %{_bindir}/tr -d '[:alpha:]')
%define __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' /etc/redhat-release | %{_bindir}/tr -d '[:space:]' | %{_bindir}/cut -c 1-4 | %{_bindir}/tr '[:upper:]' '[:lower:]')
%define __perl_version %(eval "`%{__perl} -V:version`"; echo $version)
%define __perl_package HTML-Lint

Summary:	%{__perl_package} module for perl 
Name:		perl-%{__perl_package}
Version:	1.30
Release:	1.%{__distinit}%{__distvers}
License:	Artistic
Group:		Applications/CPAN
Source0:	%{__perl_package}-%{version}.tar.gz
Url:		http://search.cpan.org/dist/HTML-Lint/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	%{__distpkg} >= %{__distvers}, perl >= %{__perl_version}
BuildArch:	noarch
BuildRequires:	perl-libwww-perl, perl-HTML-Parser >= 3.20, perl-HTML-Tagset >= 3.03
Requires:	perl-libwww-perl, perl-HTML-Parser >= 3.20, perl-HTML-Tagset >= 3.03
Conflicts:	weblint

%description
HTML::Lint is a pure-Perl HTML parser and checker for syntactic legitmacy.

The "weblint" script is now pretty much a wrapper around the HTML::Lint
module. 

You can also look into Apache::Lint, which is a mod_perl wrapper around
HTML::Lint.

Finally, for those of you doing automated testing with Test::More and
its brethren, Test::HTML::Lint lets you automate HTML checking.

%prep
%setup -q -n %{__perl_package}-%{version}

%build
CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL PREFIX=$RPM_BUILD_ROOT%{_prefix} INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%install
%{__rm} -rf $RPM_BUILD_ROOT
%makeinstall

[ -x /usr/lib/rpm/brp-compress ] && /usr/lib/rpm/brp-compress
%{_bindir}/find $RPM_BUILD_ROOT \( -name perllocal.pod -o -name .packlist \) -exec %{__rm} -v {} \;
%{_bindir}/find $RPM_BUILD_ROOT%{_prefix} -type f -print | \
    %{__sed} "s@^$RPM_BUILD_ROOT@@g" > %{__perl_package}-%{version}-filelist
if [ "$(%{__cat} %{__perl_package}-%{version}-filelist)X" = "X" ] ; then
    echo "ERROR: EMPTY FILE LIST"
    exit -1
fi

%files -f %{__perl_package}-%{version}-filelist
%defattr(-,root,root)
%doc README* MANIFEST Changes

%changelog
* Tue Feb  1 2005 Paul Howarth <paul@city-fan.org> 1.30-1
- Tidy up spec file
- Update to 1.30

* Mon May 10 2004 Paul Howarth <paul@city-fan.org> 1.28-1
- Initial build
